### Method

# Atspi Text get_text_attribute_value

#### Declaration [src]

    gchar*
    atspi_text_get_text_attribute_value (
      AtspiText* obj,
      gint offset,
      const gchar* attribute_name,
      GError** error
    )

#### Description [src]

Gets the value of a named attribute at a given offset.

The implementation of this method is provided by `atspi_text_get_attribute_value()` in language bindings.

#### Parameters

`offset`

  Type: `gint`

  The character offset at which to query the attribute.

`attribute_name`

  Type: `const gchar*`

  The attribute to query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The value of a given attribute at the given offset, or `NULL` if not present.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.